Name:           qsstv
Version:        8.2.11
Release:        1%{?dist}
Summary:        Qt-based slow-scan TV and fax

Group:          Applications/Communications
License:        GPLv2+
URL:            http://users.telenet.be/on4qz/qsstv/
Source0:        http://users.telenet.be/on4qz/qsstv/downloads/%{name}_%{version}.tar.gz
Source1:        qsstv.desktop
Source2:        qsstv.1
Source3:        ChangeLog

BuildRequires:  desktop-file-utils
BuildRequires:  fftw-devel
#BuildRequires:  qt4-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  hamlib-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  jasper-devel


%description
Qsstv is a program for receiving slow-scan television and fax. These are
modes used by hamradio operators. Qsstv uses a soundcard to send and
receive images.


#%package doc
#Summary:             User manual for Qsstv.
#BuildArch:           noarch
#Requires:            %{name} = %{version}-%{release}

#%description doc
#User manual for Qsstv.


%prep
%setup -q -n %{name}_%{version}


%build 
#qmake-qt4 PREFIX=%{_prefix} CONFIG+=debug_and_release
qmake-qt5 PREFIX=%{_prefix} CONFIG+=debug_and_release
make %{?_smp_mflags}


%install
INSTALL_ROOT=%{buildroot}; export INSTALL_ROOT
make install 

# Install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp qsstv/icons/qsstv.png %{buildroot}%{_datadir}/pixmaps/
desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# Install man page borrowed from Debian
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/


%files
%{!?_licensedir:%global license %%doc}
%license qsstv/COPYING
%{_bindir}/* 
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%{_mandir}/man1/%{name}.1*

#%files doc
#%{_docdir}/%{name}/


%changelog
* Mon Mar 23 2015 Richard Shaw <hobbes1069@gmail.com> - 8.2.11-1
- Update to latest upstream release, 8.2.11.
- Fixes CAT control bug.

* Sun Mar  1 2015 Richard Shaw <hobbes1069@gmail.com> - 8.2.10-1
- Update to latest upstream release, 8.2.10.

* Sun Dec  7 2014 Richard Shaw <hobbes1069@gmail.com> - 8.2.9-1
- Update to latest upstream release.

* Sat Oct 11 2014 Richard Shaw <hobbes1069@gmail.com> - 8.2.8-1
- Update to latest upstream release.
- Move documentation to a doc subpackage.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 14 2014 Richard Shaw <hobbes1069@gmail.com> - 8.2.7-1
- Update to latest upstream release.

* Fri Apr  4 2014 Richard Shaw <hobbes1069@gmail.com> - 8.2.6-1
- Update to latest upstream release.

* Sat Mar  8 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 8.2.4-2
- Rebuild against fixed qt to fix -debuginfo (#1074041)

* Sun Mar  2 2014 Richard Shaw <hobbes1069@gmail.com> - 8.2.4-1
- Update to latest upstream release.

* Tue Feb 11 2014 Richard Shaw <hobbes1069@gmail.com> - 8.1.17-1
- Update to latest upstream release.

* Wed Jan 29 2014 Richard Shaw <hobbes1069@gmail.com> - 8.1.14-1
- Update to latest upstream release.

* Sun Jan 26 2014 Richard Shaw <hobbes1069@gmail.com> - 8.1.13-1
- Update to latest upstream release.

* Mon Jan  6 2014 Richard Shaw <hobbes1069@gmail.com> - 8.1.12-1
- Update to latest upstream release.

* Tue Dec 17 2013 Richard Shaw <hobbes1069@gmail.com> - 8.1.3
- Update to latest upstream release.

* Sun Aug 05 2012 Richard Shaw <hobbes1069@gmail.com> - 7.1.7-1
- Update to latest upstream release.

* Fri Nov 27 2009 Lucian Langa <cooly@gnome.eu.org> - 5.3c-6
- improve desktop file (#530838)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3c-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3c-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug 24 2008 Lucian Langa <cooly@gnome.eu.org> - 5.3c-3
- fix build requires

* Sun Aug 17 2008 Lucian Langa <cooly@gnome.eu.org> - 5.3c-2
- add desktop file

* Sun Aug 10 2008 Lucian Langa <cooly@gnome.eu.org> - 5.3c-1
- Misc cleanups

* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 0.5c-1
- Initial build

